LIBRESPEED-CLI(1)

  NAME:
librespeed-cli - Test your Internet speed with LibreSpeed

  USAGE:

    librespeed-cli [global options] [arguments...]

  GLOBAL OPTIONS:

--help, -h
    show help (default: false)

--version
    Show the version number and exit (default: false)

--ipv4, -4
    Force IPv4 only (default: false)

--ipv6, -6
    Force IPv6 only (default: false)

--no-download
    Do not perform download test (default: false)

--no-upload
    Do not perform upload test (default: false)

--no-icmp
    Do not use ICMP ping. ICMP doesn't work well under Linux at this moment, so you might want to disable it (default: false)

--concurrent value
    Concurrent HTTP requests being made (default: 3)

--bytes
    Display values in bytes instead of bits. Does not affect the image generated by --share, nor output from --json or --csv (default: false)

--mebibytes
    Use 1024 bytes as 1 kilobyte instead of 1000 (default: false)

--distance value
    Change distance unit shown in ISP info, use 'mi' for miles, 'km' for kilometres, 'NM' for nautical miles (default: "km")

--share
    Generate and provide a URL to the LibreSpeed.org share results image, not displayed with --csv (default: false)

--simple
    Suppress verbose output, only show basic information (default: false)

--csv
    Suppress verbose output, only show basic information in CSV format. Speeds listed in bit/s and not affected by --bytes

    (default: false)

--csv-delimiter CSV_DELIMITER
    Single character delimiter (CSV_DELIMITER) to use in CSV output. (default: ",")

--csv-header
    Print CSV headers (default: false)

--json
    Suppress verbose output, only show basic information in JSON format. Speeds listed in bit/s and not affected by --bytes (default: false)

--list
    Display a list of LibreSpeed.org servers (default: false)

--server SERVER
    Specify a SERVER ID to test against. Can be supplied multiple times. Cannot be used with --exclude

--exclude EXCLUDE
    EXCLUDE a server from selection. Can be supplied multiple times. Cannot be used with --server

--server-json value
    Use an alternative server list from remote JSON file

--local-json value
    Use an alternative server list from local JSON file, or read from stdin with "--local-json -".

--source SOURCE
    SOURCE IP address to bind to

--timeout TIMEOUT
    HTTP TIMEOUT in seconds. (default: 15)

--duration value
    Upload and download test duration in seconds (default: 15)

--chunks value
    Chunks to download from server, chunk size depends on server configuration (default: 100)

--upload-size value
    Size of payload being uploaded in KiB (default: 1024)

--secure
    Use HTTPS instead of HTTP when communicating with LibreSpeed.org operated servers (default: false)

--skip-cert-verify
    Skip verifying SSL certificate for HTTPS connections (self-signed certs) (default: false)

--no-pre-allocate
    Do not pre allocate upload data. Pre allocation is enabled by default to improve upload performance. To support systems with insufficient memory, use this option to avoid out of memory errors (default: false)

--telemetry-json value
    Load telemetry server settings from a JSON file. This options overrides --telemetry-level, --telemetry-server, --telemetry-path, and --telemetry-share. Implies --share

--telemetry-level value
    Set telemetry data verbosity, available values are: disabled, basic, full, debug. Implies --share

--telemetry-server value
    Set the telemetry server base URL. Implies --share

--telemetry-path value
    Set the telemetry upload path. Implies --share

--telemetry-share value
    Set the telemetry share link path. Implies --share

--telemetry-extra value
    Send a custom message along with the telemetry results. Implies --share

AUTHOR

Matthias Geiger <werdahias@riseup.net>

COPYRIGHT

Copyright © 2024 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the Lesser GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.